Index: stylesheets/lfs-chunked.xsl
===================================================================
--- stylesheets/lfs-chunked.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/lfs-chunked.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -5,9 +5,9 @@
                 version="1.0">
 
-  	<!-- We use XHTML -->
+    <!-- We use XHTML -->
   <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.65.1/xhtml/chunk.xsl"/>
   <xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>
   
-  	<!-- Including our others customized templates -->
+    <!-- Including our others customized templates -->
   <xsl:include href="xhtml/lfs-admon.xsl"/>
   <xsl:include href="xhtml/lfs-index.xsl"/>
@@ -18,13 +18,13 @@
   <xsl:include href="xhtml/lfs-toc.xsl"/>
 
-  	<!-- The CSS Stylesheet -->
+    <!-- The CSS Stylesheet -->
   <xsl:param name="html.stylesheet" select="'../stylesheets/lfs.css'"/>
 
-  	<!-- Dropping some unwanted style attributes -->
+    <!-- Dropping some unwanted style attributes -->
   <xsl:param name="ulink.target" select="''"></xsl:param>
   <xsl:param name="css.decoration" select="0"></xsl:param>
   
-  	<!-- No XML declaration -->
-	<xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
+    <!-- No XML declaration -->
+  <xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
 
 </xsl:stylesheet>
Index: stylesheets/lfs-print.xsl
===================================================================
--- stylesheets/lfs-print.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/lfs-print.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -4,30 +4,29 @@
                 xmlns:fo="http://www.w3.org/1999/XSL/Format"
                 version="1.0">
-
-  	<!-- We use FO and FOP as the processor -->
+    <!-- We use FO and FOP as the processor -->
   <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.65.1/fo/docbook.xsl"/>
   <xsl:param name="fop.extensions" select="1"/>
   <xsl:param name="draft.mode" select="'no'"/>
 
-  	<!-- Including our others customized templates -->
+    <!-- Including our others customized templates -->
   <xsl:include href="print/lfs-index.xsl"/>
   <xsl:include href="print/lfs-pagesetup.xsl"/>
 
-  	<!-- Probably want to make the paper size configurable -->
+    <!-- Probably want to make the paper size configurable -->
   <xsl:param name="paper.type" select="'A4'"/>
 
-  	<!-- Printing Style -->
+    <!-- Printing Style -->
   <xsl:param name="double.sided" select="1"/>
   <xsl:param name="hyphenate">true</xsl:param>
   <xsl:param name="alignment">justify</xsl:param>
   
-  	<!-- Hyphenate links -->
+    <!-- Hyphenate links -->
   <xsl:param name="ulink.hyphenate" select="' '"></xsl:param>
 
-  	<!-- Font size -->
+    <!-- Font size -->
   <xsl:param name="body.font.master">8</xsl:param>
   <xsl:param name="body.font.size">10pt</xsl:param>
 
-  	<!-- TOC stuff -->
+    <!-- TOC stuff -->
   <xsl:param name="generate.toc">
     book      toc
@@ -38,16 +37,15 @@
   <xsl:param name="toc.indent.width" select="18"></xsl:param>
 
-  	<!-- Page number in Xref-->
-  <xsl:param name="insert.xref.page.number">yes</xsl:param>
-	<xsl:template match="*" mode="page.citation">
-  	<xsl:param name="id" select="'???'"/>
-  	<fo:inline keep-together.within-line="always">
-  		<xsl:text>[p</xsl:text>
+    <!-- Page number in Xref-->
+  <xsl:param name="insert.xref.page.number">yes</xsl:param> <xsl:template match="*" mode="page.citation">
+    <xsl:param name="id" select="'???'"/>
+    <fo:inline keep-together.within-line="always">
+      <xsl:text>[p</xsl:text>
       <fo:page-number-citation ref-id="{$id}"/>
-  		<xsl:text>]</xsl:text>
-  	</fo:inline>
-	</xsl:template>
+      <xsl:text>]</xsl:text>
+    </fo:inline>
+  </xsl:template>
 
-  	<!-- Prevent duplicate e-mails in the Acknowledgments pages-->
+    <!-- Prevent duplicate e-mails in the Acknowledgments pages-->
   <xsl:param name="ulink.show" select="0"/>
 
Index: stylesheets/patcheslist.xsl
===================================================================
--- stylesheets/patcheslist.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/patcheslist.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -6,16 +6,16 @@
                 version="1.0">
 
-	<xsl:output method="text"/>
+  <xsl:output method="text"/>
 
   <xsl:template match="//text()">
-  	<xsl:text/>
+    <xsl:text/>
   </xsl:template>
 
-	<xsl:template match="//ulink">
-  	<xsl:if test="contains(@url, '.patch')">
-    	<xsl:value-of select="@url"/>
-			<xsl:text>&#x0a;</xsl:text>
-		</xsl:if>
-	</xsl:template>
+  <xsl:template match="//ulink">
+    <xsl:if test="contains(@url, '.patch')">
+      <xsl:value-of select="@url"/>
+      <xsl:text>&#x0a;</xsl:text>
+    </xsl:if>
+  </xsl:template>
 
 </xsl:stylesheet>
Index: stylesheets/pdf/lfs-index.xsl
===================================================================
--- stylesheets/pdf/lfs-index.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/pdf/lfs-index.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -13,5 +13,5 @@
                 version="1.0">
 
-  	<!--Only one column to fit the table layout-->
+    <!--Only one column to fit the table layout-->
   <xsl:param name="column.count.index" select="1"/>
 
@@ -19,7 +19,7 @@
   <xsl:template match="index" mode="title.markup">
     <xsl:text>Index of packages and important installed files</xsl:text>
-	</xsl:template>
+  </xsl:template>
 
-  	<!-- Divisions-->
+    <!-- Divisions-->
   <xsl:template match="indexterm" mode="index-div">
     <xsl:param name="scope" select="."/>
@@ -52,12 +52,12 @@
                   <xsl:value-of select="$divtitle"/>
                 </xsl:otherwise>
-            	</xsl:choose>
+              </xsl:choose>
             </xsl:with-param>
           </xsl:call-template>
         </xsl:if>
         <fo:table table-layout="fixed" width="100%">
-      		<fo:table-column column-number="1" column-width="11em"/>
-      		<fo:table-column column-number="2" column-width="19em"/>
-      		<fo:table-column column-number="3"/>
+          <fo:table-column column-number="1" column-width="11em"/>
+          <fo:table-column column-number="2" column-width="19em"/>
+          <fo:table-column column-number="3"/>
           <fo:table-body>
             <xsl:apply-templates select="key('letter', $key)[&scope;]
@@ -67,5 +67,5 @@
               <xsl:with-param name="scope" select="$scope"/>
             </xsl:apply-templates>
-	        </fo:table-body>
+          </fo:table-body>
         </fo:table>
       </fo:block>
@@ -73,8 +73,8 @@
   </xsl:template>
 
-  	<!-- Dropping the separator from here -->
+    <!-- Dropping the separator from here -->
   <xsl:template match="indexterm" mode="reference">
     <xsl:param name="scope" select="."/>
-    	<xsl:call-template name="reference">
+      <xsl:call-template name="reference">
         <xsl:with-param name="zones" select="normalize-space(@zone)"/>
         <xsl:with-param name="scope" select="$scope"/>
@@ -82,5 +82,5 @@
   </xsl:template>
 
-  	<!-- Changing the output tags and re-addind the separator-->
+    <!-- Changing the output tags and re-addind the separator-->
   <xsl:template match="indexterm" mode="index-primary">
     <xsl:param name="scope" select="."/>
@@ -88,9 +88,9 @@
     <xsl:variable name="refs" select="key('primary', $key)[&scope;]"/>
     <fo:table-row>
-    	<fo:table-cell>
-      	<fo:block>
+      <fo:table-cell>
+        <fo:block>
           <xsl:value-of select="primary"/>
           <xsl:text>: </xsl:text>
-				</fo:block>
+        </fo:block>
       </fo:table-cell>
       <xsl:for-each select="$refs[not(see) and not(seealso)
@@ -100,25 +100,25 @@
         </xsl:apply-templates>
       </xsl:for-each>
-		</fo:table-row>
-		<xsl:if test="$refs/secondary">
+    </fo:table-row>
+    <xsl:if test="$refs/secondary">
       <xsl:apply-templates select="$refs[secondary and count(.|key('secondary',
-      				concat($key, &sep;, &secondary;))[&scope;][1]) = 1]" mode="index-secondary">
-				<xsl:with-param name="scope" select="$scope"/>
-				<xsl:sort select="translate(&secondary;, &lowercase;, &uppercase;)"/>
-			</xsl:apply-templates>
-		</xsl:if>
+              concat($key, &sep;, &secondary;))[&scope;][1]) = 1]" mode="index-secondary">
+        <xsl:with-param name="scope" select="$scope"/>
+        <xsl:sort select="translate(&secondary;, &lowercase;, &uppercase;)"/>
+      </xsl:apply-templates>
+    </xsl:if>
   </xsl:template>
 
   <xsl:template match="indexterm" mode="index-secondary">
     <xsl:param name="scope" select="."/>
- 		<xsl:variable name="key" select="concat(&primary;, &sep;, &secondary;)"/>
+     <xsl:variable name="key" select="concat(&primary;, &sep;, &secondary;)"/>
     <xsl:variable name="refs" select="key('secondary', $key)[&scope;]"/>
     <fo:table-row>
-    	<fo:table-cell>
-		    <fo:block start-indent="1pc">
+      <fo:table-cell>
+        <fo:block start-indent="1pc">
           <xsl:value-of select="secondary"/>
           <xsl:text>: </xsl:text>
         </fo:block>
-    	</fo:table-cell>
+      </fo:table-cell>
       <xsl:for-each select="$refs[not(see) and not(seealso) and not(tertiary)]">
         <xsl:apply-templates select="." mode="reference">
@@ -126,8 +126,8 @@
         </xsl:apply-templates>
       </xsl:for-each>
-		</fo:table-row>
+    </fo:table-row>
   </xsl:template>
   
-  	<!-- Targets titles and bookmarks-->
+    <!-- Targets titles and bookmarks-->
   <xsl:template name="reference">
     <xsl:param name="scope" select="."/>
@@ -150,5 +150,5 @@
         </xsl:variable>
         <fo:table-cell>
-        	<fo:block>
+          <fo:block>
             <fo:basic-link internal-destination="{$id}">
               <xsl:value-of select="$target/title"/>
@@ -157,8 +157,8 @@
               </xsl:apply-templates>
             </fo:basic-link>
-        	</fo:block>
-				</fo:table-cell>
+          </fo:block>
+        </fo:table-cell>
         <fo:table-cell>
-        	<fo:block>
+          <fo:block>
             <fo:basic-link internal-destination="{$id2}">
               <xsl:text>description</xsl:text>
@@ -167,6 +167,6 @@
               </xsl:apply-templates>
             </fo:basic-link>
-        	</fo:block>
-				</fo:table-cell>
+          </fo:block>
+        </fo:table-cell>
       </xsl:when>
       <xsl:otherwise>
@@ -179,5 +179,5 @@
         </xsl:variable>
         <fo:table-cell>
-        	<fo:block>
+          <fo:block>
             <fo:basic-link internal-destination="{$id}">
               <xsl:value-of select="$target/title"/>
@@ -186,6 +186,6 @@
               </xsl:apply-templates>
             </fo:basic-link>
-        	</fo:block>
-				</fo:table-cell>
+          </fo:block>
+        </fo:table-cell>
       </xsl:otherwise>
     </xsl:choose>
Index: stylesheets/pdf/lfs-pagesetup.xsl
===================================================================
--- stylesheets/pdf/lfs-pagesetup.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/pdf/lfs-pagesetup.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -5,13 +5,13 @@
                 version="1.0">
 
-  	<!-- Force section1's onto a new page -->
+    <!-- Force section1's onto a new page -->
   <xsl:attribute-set name="section.level1.properties">
-  	<xsl:attribute name="break-after">
-    	<xsl:choose>
-  			<xsl:when test="not(position()=last())">
-      		<xsl:text>page</xsl:text>
-    		</xsl:when>
+    <xsl:attribute name="break-after">
+      <xsl:choose>
+        <xsl:when test="not(position()=last())">
+          <xsl:text>page</xsl:text>
+        </xsl:when>
         <xsl:otherwise>
-      		<xsl:text>auto</xsl:text>
+          <xsl:text>auto</xsl:text>
         </xsl:otherwise>
       </xsl:choose>
@@ -19,5 +19,5 @@
   </xsl:attribute-set>
 
-		<!-- Header -->
+    <!-- Header -->
   <xsl:attribute-set name="header.content.properties">
     <xsl:attribute name="font-family">
@@ -38,10 +38,10 @@
       <xsl:when test="$gentext-key = 'book'"/>
       <xsl:otherwise>
-      	<xsl:call-template name="header.content"/>
+        <xsl:call-template name="header.content"/>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
 
-		<!-- Centered titles for book and part -->
+    <!-- Centered titles for book and part -->
   <xsl:template name="book.titlepage">
     <fo:block space-before="2in">
@@ -72,5 +72,5 @@
   </xsl:template>
 
-  	<!-- Margins -->
+    <!-- Margins -->
   <xsl:param name="page.margin.inner">0.75in</xsl:param>
   <xsl:param name="page.margin.outer">0.75in</xsl:param>
@@ -103,14 +103,14 @@
   </xsl:attribute-set>
 
-  	<!-- Others-->
+    <!-- Others-->
   <xsl:param name="header.rule" select="0"></xsl:param>
   <xsl:param name="footer.rule" select="0"></xsl:param>
-	<xsl:param name="marker.section.level" select="-1"></xsl:param>
+  <xsl:param name="marker.section.level" select="-1"></xsl:param>
 
-  	<!-- Dropping a blank page -->
-	<xsl:template name="book.titlepage.separator"/>
+    <!-- Dropping a blank page -->
+  <xsl:template name="book.titlepage.separator"/>
 
-  	<!-- How render a variablelist -->
-	<xsl:param name="variablelist.as.blocks" select="1"/>
+    <!-- How render a variablelist -->
+  <xsl:param name="variablelist.as.blocks" select="1"/>
 
 </xsl:stylesheet>
Index: stylesheets/print/lfs-index.xsl
===================================================================
--- stylesheets/print/lfs-index.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/print/lfs-index.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -13,9 +13,9 @@
     <!--Title-->
   <xsl:template match="index" mode="title.markup">
-  	<xsl:param name="allow-anchors" select="0"/>
+    <xsl:param name="allow-anchors" select="0"/>
     <xsl:text>Index of packages and important installed files</xsl:text>
-	</xsl:template>
+  </xsl:template>
 
-  	<!-- Divisions-->
+    <!-- Divisions-->
   <xsl:template match="indexterm" mode="index-div">
     <xsl:param name="scope" select="."/>
@@ -64,9 +64,9 @@
   </xsl:template>
 
-  	<!-- The separator -->
+    <!-- The separator -->
   <xsl:template match="indexterm" mode="reference">
     <xsl:param name="scope" select="."/>
     <xsl:text>:   </xsl:text>
-    	<xsl:call-template name="reference">
+      <xsl:call-template name="reference">
         <xsl:with-param name="zones" select="normalize-space(@zone)"/>
         <xsl:with-param name="scope" select="$scope"/>
@@ -74,5 +74,5 @@
   </xsl:template>
   
-  	<!--Bookmarks-->
+    <!--Bookmarks-->
   <xsl:template name="reference">
     <xsl:param name="scope" select="."/>
@@ -96,5 +96,5 @@
         <fo:basic-link internal-destination="{$id}">
           <xsl:apply-templates select="$target" mode="page.citation">
-          	<xsl:with-param name="id" select="$id"/>
+            <xsl:with-param name="id" select="$id"/>
           </xsl:apply-templates>
         </fo:basic-link>
@@ -102,5 +102,5 @@
         <fo:basic-link internal-destination="{$id2}">
           <xsl:apply-templates select="$target2" mode="page.citation">
-          	<xsl:with-param name="id" select="$id2"/>
+            <xsl:with-param name="id" select="$id2"/>
           </xsl:apply-templates>
         </fo:basic-link>
@@ -116,5 +116,5 @@
         <fo:basic-link internal-destination="{$id}">
           <xsl:apply-templates select="$target" mode="page.citation">
-          	<xsl:with-param name="id" select="$id"/>
+            <xsl:with-param name="id" select="$id"/>
           </xsl:apply-templates>
         </fo:basic-link>
Index: stylesheets/print/lfs-pagesetup.xsl
===================================================================
--- stylesheets/print/lfs-pagesetup.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/print/lfs-pagesetup.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -5,13 +5,13 @@
                 version="1.0">
 
-  	<!-- Force section1's onto a new page -->
+    <!-- Force section1's onto a new page -->
   <xsl:attribute-set name="section.level1.properties">
-  	<xsl:attribute name="break-after">
-    	<xsl:choose>
-  			<xsl:when test="not(position()=last())">
-      		<xsl:text>page</xsl:text>
-    		</xsl:when>
+    <xsl:attribute name="break-after">
+      <xsl:choose>
+        <xsl:when test="not(position()=last())">
+          <xsl:text>page</xsl:text>
+        </xsl:when>
         <xsl:otherwise>
-      		<xsl:text>auto</xsl:text>
+          <xsl:text>auto</xsl:text>
         </xsl:otherwise>
       </xsl:choose>
@@ -19,8 +19,8 @@
   </xsl:attribute-set>
 
-		<!-- Header -->
+    <!-- Header -->
   <xsl:template name="header.content">
-  	<xsl:param name="sequence" select="''"/>
-		<fo:block>
+    <xsl:param name="sequence" select="''"/>
+    <fo:block>
       <xsl:attribute name="text-align">
         <xsl:choose>
@@ -36,17 +36,17 @@
 
   <xsl:template name="header.table">
-  	<xsl:param name="sequence" select="''"/>
+    <xsl:param name="sequence" select="''"/>
     <xsl:param name="gentext-key" select="''"/>
     <xsl:choose>
       <xsl:when test="$gentext-key = 'book' or $sequence = 'blank'"/>
       <xsl:otherwise>
-      	<xsl:call-template name="header.content">
-					<xsl:with-param name="sequence" select="$sequence"/>
-				</xsl:call-template>
+        <xsl:call-template name="header.content">
+          <xsl:with-param name="sequence" select="$sequence"/>
+        </xsl:call-template>
       </xsl:otherwise>
     </xsl:choose>
   </xsl:template>
 
-		<!-- Centered titles for book and part -->
+    <!-- Centered titles for book and part -->
   <xsl:template name="book.titlepage">
     <fo:block space-before="2in">
@@ -77,5 +77,5 @@
   </xsl:template>
 
-  	<!-- Margins -->
+    <!-- Margins -->
   <xsl:param name="page.margin.inner">1in</xsl:param>
   <xsl:param name="page.margin.outer">0.5in</xsl:param>
@@ -108,14 +108,14 @@
   </xsl:attribute-set>
 
-  	<!-- Others-->
+    <!-- Others-->
   <xsl:param name="header.rule" select="0"></xsl:param>
   <xsl:param name="footer.rule" select="0"></xsl:param>
-	<xsl:param name="marker.section.level" select="-1"></xsl:param>
+  <xsl:param name="marker.section.level" select="-1"></xsl:param>
 
-  	<!-- Dropping a blank page -->
-	<xsl:template name="book.titlepage.separator"/>
+    <!-- Dropping a blank page -->
+  <xsl:template name="book.titlepage.separator"/>
 
-  	<!-- How render a variablelist -->
-	<xsl:param name="variablelist.as.blocks" select="1"/>
+    <!-- How render a variablelist -->
+  <xsl:param name="variablelist.as.blocks" select="1"/>
 
 </xsl:stylesheet>
Index: stylesheets/xhtml/lfs-admon.xsl
===================================================================
--- stylesheets/xhtml/lfs-admon.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/xhtml/lfs-admon.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -5,10 +5,10 @@
                 version="1.0">
 
-  	<!-- Use graphics in admonitions -->
+    <!-- Use graphics in admonitions -->
   <xsl:param name="admon.graphics" select="1"/>
   <xsl:param name="admon.graphics.path">../images/</xsl:param>
   <xsl:param name="admon.graphics.extension" select="'.png'"/>
 
-  	<!-- Changing the output tagging -->
+    <!-- Changing the output tagging -->
   <xsl:template name="graphical.admonition">
     <xsl:variable name="admon.type">
@@ -23,5 +23,5 @@
     </xsl:variable>
     <div class="admonition">
-    	<div class ="admonhead">
+      <div class ="admonhead">
         <img alt="[{$admon.type}]">
           <xsl:attribute name="src">
@@ -38,5 +38,5 @@
       </div>
       <div class="admonbody">
-				<xsl:apply-templates/>
+        <xsl:apply-templates/>
       </div>
     </div>
Index: stylesheets/xhtml/lfs-index.xsl
===================================================================
--- stylesheets/xhtml/lfs-index.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/xhtml/lfs-index.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -21,36 +21,36 @@
   <xsl:template match="index" mode="title.markup">
     <xsl:value-of select="$index-title"/>
-	</xsl:template>
+  </xsl:template>
   
   <xsl:template name="index.titlepage">
     <div class="titlepage">
-    	<h1 class="index">
-    		<xsl:value-of select="$index-title"/>
-			</h1>
+      <h1 class="index">
+        <xsl:value-of select="$index-title"/>
+      </h1>
     </div>
   </xsl:template>
 
-  	<!--Divisions-->
+    <!--Divisions-->
   <xsl:template match="indexterm" mode="index-div">
     <xsl:param name="scope" select="."/>
     <xsl:variable name="key" select="translate(substring(&primary;, 1, 1),&lowercase;,&uppercase;)"/>
     <xsl:variable name="divtitle" select="translate($key, &lowercase;, &uppercase;)"/>
-    	<!-- Make sure that we don't generate a div if there are no terms in scope -->
+      <!-- Make sure that we don't generate a div if there are no terms in scope -->
     <xsl:if test="key('letter', $key)[&scope;] [count(.|key('primary', &primary;)[&scope;][1]) = 1]">
       <div class="indexdiv">
         <xsl:if test="contains(concat(&lowercase;, &uppercase;), $key)">
           <h2>
-          	<xsl:choose>
-            	<xsl:when test="$divtitle = 'A'">
-              	<xsl:text>Packages</xsl:text>
+            <xsl:choose>
+              <xsl:when test="$divtitle = 'A'">
+                <xsl:text>Packages</xsl:text>
              </xsl:when>
              <xsl:when test="$divtitle = 'B'">
-              	<xsl:text>Programs</xsl:text>
+                <xsl:text>Programs</xsl:text>
              </xsl:when>
              <xsl:when test="$divtitle = 'C'">
-              	<xsl:text>Libraries</xsl:text>
+                <xsl:text>Libraries</xsl:text>
              </xsl:when>
              <xsl:when test="$divtitle = 'D'">
-              	<xsl:text>Scripts</xsl:text>
+                <xsl:text>Scripts</xsl:text>
              </xsl:when>
               <xsl:when test="$divtitle = 'E'">
@@ -58,6 +58,6 @@
               </xsl:when>
              <xsl:otherwise>
-          		<xsl:value-of select="$divtitle"/>
-						</xsl:otherwise>
+              <xsl:value-of select="$divtitle"/>
+            </xsl:otherwise>
            </xsl:choose>
           </h2>
@@ -65,5 +65,5 @@
         <ul>
           <xsl:apply-templates select="key('letter', $key)[&scope;]
-          				[count(.|key('primary', &primary;)[&scope;][1])=1]" mode="index-primary">
+                  [count(.|key('primary', &primary;)[&scope;][1])=1]" mode="index-primary">
             <xsl:with-param name="scope" select="$scope"/>
             <xsl:sort select="translate(&primary;, &lowercase;, &uppercase;)"/>
@@ -74,5 +74,5 @@
   </xsl:template>
 
-  	<!-- Dropping the separator from here-->
+    <!-- Dropping the separator from here-->
   <xsl:template match="indexterm" mode="reference">
     <xsl:param name="scope" select="."/>
@@ -81,7 +81,7 @@
         <xsl:with-param name="scope" select="$scope"/>
       </xsl:call-template>
-	</xsl:template>
+  </xsl:template>
 
-  	<!-- Changing the output tags and re-addind the separator-->
+    <!-- Changing the output tags and re-addind the separator-->
   <xsl:template match="indexterm" mode="index-primary">
     <xsl:param name="scope" select="."/>
@@ -89,10 +89,10 @@
     <xsl:variable name="refs" select="key('primary', $key)[&scope;]"/>
     <li>
-    	<strong class="item">
-      	<xsl:value-of select="primary"/>
+      <strong class="item">
+        <xsl:value-of select="primary"/>
         <xsl:text>: </xsl:text>
-			</strong>
+      </strong>
       <xsl:for-each select="$refs[generate-id() = generate-id(key('primary-section',
-      				concat($key, &#34; &#34;, generate-id((ancestor-or-self::book |ancestor-or-self::part
+              concat($key, &#34; &#34;, generate-id((ancestor-or-self::book |ancestor-or-self::part
               |ancestor-or-self::chapter |ancestor-or-self::appendix |ancestor-or-self::preface
               |ancestor-or-self::sect1 |ancestor-or-self::sect2 |ancestor-or-self::sect3
@@ -102,15 +102,15 @@
         </xsl:apply-templates>
       </xsl:for-each>
-    	<xsl:if test="$refs/secondary">
+      <xsl:if test="$refs/secondary">
         <ul>
           <xsl:apply-templates select="$refs[secondary and count(.|key('secondary', 
-          				concat($key, &#34; &#34;, normalize-space(concat(secondary/@sortas,
+                  concat($key, &#34; &#34;, normalize-space(concat(secondary/@sortas,
                   secondary[not(@sortas)]))))[&scope;][1]) = 1]" mode="index-secondary">
             <xsl:with-param name="scope" select="$scope"/>
             <xsl:sort select="translate(normalize-space(concat(secondary/@sortas, 
-            				secondary[not(@sortas)])), &lowercase;, &uppercase;)"/>
+                    secondary[not(@sortas)])), &lowercase;, &uppercase;)"/>
           </xsl:apply-templates>
-     		</ul>
-    	</xsl:if>
+         </ul>
+      </xsl:if>
     </li>
   </xsl:template>
@@ -119,13 +119,13 @@
     <xsl:param name="scope" select="."/>
     <xsl:variable name="key" select="concat(&primary;, &#34; &#34;,
-    				normalize-space(concat(secondary/@sortas, secondary[not(@sortas)])))"/>
+            normalize-space(concat(secondary/@sortas, secondary[not(@sortas)])))"/>
     <xsl:variable name="refs" select="key('secondary', $key)[&scope;]"/>
     <li>
-    	<strong class="secitem">
-      	<xsl:value-of select="secondary"/>
+      <strong class="secitem">
+        <xsl:value-of select="secondary"/>
         <xsl:text>: </xsl:text>
-			</strong>
+      </strong>
       <xsl:for-each select="$refs[generate-id() = generate-id(key('secondary-section',
-      				concat($key, &#34; &#34;, generate-id((ancestor-or-self::book |ancestor-or-self::part
+              concat($key, &#34; &#34;, generate-id((ancestor-or-self::book |ancestor-or-self::part
               |ancestor-or-self::chapter |ancestor-or-self::appendix |ancestor-or-self::preface
               |ancestor-or-self::sect1 |ancestor-or-self::sect2 |ancestor-or-self::sect3
Index: stylesheets/xhtml/lfs-legalnotice.xsl
===================================================================
--- stylesheets/xhtml/lfs-legalnotice.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/xhtml/lfs-legalnotice.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -1,5 +1,3 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
-
-<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org> -->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -7,5 +5,5 @@
                 version="1.0">
 
-  	<!-- Generating the page -->
+    <!-- Generating the page -->
   <xsl:template match="legalnotice" mode="titlepage.mode">
     <xsl:variable name="id"><xsl:call-template name="object.id"/></xsl:variable>
Index: stylesheets/xhtml/lfs-mixed.xsl
===================================================================
--- stylesheets/xhtml/lfs-mixed.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/xhtml/lfs-mixed.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -5,8 +5,8 @@
                 version="1.0">
 
-		<!-- screen -->
+    <!-- screen -->
   <xsl:template match="screen">
     <xsl:choose>
-    		<!-- Temporally hack -->
+        <!-- Temporally hack -->
       <xsl:when test="child::* = userinput">
         <pre class="{name(.)}">
@@ -25,20 +25,30 @@
   
   <!-- variablelist -->
-<xsl:template match="variablelist">
-  <div class="{name(.)}">
-    <xsl:if test="title">
-    	<h3>
-      	<xsl:value-of select="title"/>
-    	</h3>
-    </xsl:if>
-    <dl>
-    	<xsl:if test="@role">
-      	<xsl:attribute name="class">
-        	<xsl:value-of select="@role"/>
-				</xsl:attribute>
-			</xsl:if>
-			<xsl:apply-templates select="varlistentry"/>
-    </dl>
-  </div>
-</xsl:template>
+  <xsl:template match="variablelist">
+    <div class="{name(.)}">
+      <xsl:if test="title">
+        <xsl:choose>
+          <xsl:when test="@role = 'materials'">
+            <h3>
+              <xsl:value-of select="title"/>
+            </h3>
+          </xsl:when>
+          <xsl:otherwise>
+            <h4>
+              <xsl:value-of select="title"/>
+            </h4>
+          </xsl:otherwise>
+        </xsl:choose>
+      </xsl:if>
+      <dl>
+        <xsl:if test="@role">
+          <xsl:attribute name="class">
+            <xsl:value-of select="@role"/>
+          </xsl:attribute>
+        </xsl:if>
+        <xsl:apply-templates select="varlistentry"/>
+      </dl>
+    </div>
+  </xsl:template>
+  
 </xsl:stylesheet>
Index: stylesheets/xhtml/lfs-navigational.xsl
===================================================================
--- stylesheets/xhtml/lfs-navigational.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/xhtml/lfs-navigational.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -1,5 +1,3 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
-
-<!-- Version 0.9 - Manuel Canales Esparcia <macana@lfs-es.org> -->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -16,5 +14,5 @@
   </xsl:template>
 
-  	<!-- Header Navigation-->
+    <!-- Header Navigation-->
   <xsl:template name="header.navigation">
     <xsl:param name="prev" select="/foo"/>
@@ -65,4 +63,17 @@
               </a>
             </li>
+          </xsl:if>
+          <xsl:if test="count($up)&gt;0 and $up != $home">
+            <li class="up">
+              <a accesskey="u">
+                <xsl:attribute name="href">
+                  <xsl:call-template name="href.target">
+                    <xsl:with-param name="object" select="$up"/>
+                  </xsl:call-template>
+                </xsl:attribute>
+                <xsl:text>Up</xsl:text>
+              </a>
+            </li>
+          </xsl:if>
           <li class="home">
             <a accesskey="h">
@@ -75,5 +86,4 @@
             </a>
           </li>
-          </xsl:if>
         </ul>
       </div>
@@ -81,5 +91,5 @@
   </xsl:template>
 
-  	<!-- Footer Navigation-->
+    <!-- Footer Navigation-->
   <xsl:template name="footer.navigation">
     <xsl:param name="prev" select="/foo"/>
@@ -104,5 +114,5 @@
               </a>
               <p>
-              	<xsl:apply-templates select="$prev" mode="object.title.markup"/>
+                <xsl:apply-templates select="$prev" mode="object.title.markup"/>
               </p>
             </li>
@@ -119,5 +129,5 @@
               </a>
               <p>
-              	<xsl:apply-templates select="$next" mode="object.title.markup"/>
+                <xsl:apply-templates select="$next" mode="object.title.markup"/>
               </p>
             </li>
Index: stylesheets/xhtml/lfs-titles.xsl
===================================================================
--- stylesheets/xhtml/lfs-titles.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/xhtml/lfs-titles.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -31,5 +31,5 @@
   <xsl:template name="sect1.titlepage">
     <xsl:choose>
-    		<!-- I should find a better test -->
+        <!-- I should find a better test -->
       <xsl:when test="position() = 4">
         <div class="titlepage">
Index: stylesheets/xhtml/lfs-toc.xsl
===================================================================
--- stylesheets/xhtml/lfs-toc.xsl	(revision 28501c71298af5866445fa8c8dd6e71f61287271)
+++ stylesheets/xhtml/lfs-toc.xsl	(revision a9e89d0c26b67d4f4ad136be1f701665c7b04c72)
@@ -5,5 +5,5 @@
                 version="1.0">
                 
-		<!-- General settings -->
+    <!-- General settings -->
   <xsl:param name="generate.toc">
     appendix  toc
@@ -28,6 +28,6 @@
   <xsl:param name="toc.max.depth">3</xsl:param>
   
-  	<!-- Making the TOC -->
-	<xsl:template name="make.toc">
+    <!-- Making the TOC -->
+  <xsl:template name="make.toc">
     <xsl:param name="toc-context" select="."/>
     <xsl:param name="nodes" select="/NOT-AN-ELEMENT"/>
@@ -47,5 +47,5 @@
     </xsl:if>
   </xsl:template>
-	
+  
     <!-- Making the subtocs -->
   <xsl:template name="subtoc">
@@ -72,5 +72,5 @@
       </xsl:call-template>
       <xsl:if test="$toc.section.depth &gt; $depth and count($nodes)&gt;0 
-      				and $toc.max.depth &gt; $depth.from.context">
+              and $toc.max.depth &gt; $depth.from.context">
         <xsl:copy-of select="$subtoc"/>
       </xsl:if>
